-- Copyright (C) 1991-2008 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 8.1 Build 163 10/28/2008 SJ Web Edition"

-- DATE "01/01/2012 19:04:24"

-- 
-- Device: Altera EP3C16F484C6 Package FBGA484
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY IEEE, cycloneiii;
LIBRARY altera;
USE IEEE.std_logic_1164.all;
USE altera.altera_primitives_components.all;
USE cycloneiii.cycloneiii_components.all;

ENTITY 	Receiver_datapath IS
    PORT (
	Serial_in : IN std_logic;
	CD : IN std_logic;
	CLK : IN std_logic;
	LDD : IN std_logic;
	CE_Mod4 : IN std_logic;
	CE_Mod8 : IN std_logic;
	Clear_Counters : IN std_logic;
	s : IN std_logic_vector(1 DOWNTO 0);
	RX_out : OUT std_logic_vector(7 DOWNTO 0);
	EP_Check : OUT std_logic;
	Stop_bit : OUT std_logic;
	TC4 : OUT std_logic;
	TC8 : OUT std_logic;
	TC10 : OUT std_logic
	);
END Receiver_datapath;

ARCHITECTURE structure OF Receiver_datapath IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_Serial_in : std_logic;
SIGNAL ww_CD : std_logic;
SIGNAL ww_CLK : std_logic;
SIGNAL ww_LDD : std_logic;
SIGNAL ww_CE_Mod4 : std_logic;
SIGNAL ww_CE_Mod8 : std_logic;
SIGNAL ww_Clear_Counters : std_logic;
SIGNAL ww_s : std_logic_vector(1 DOWNTO 0);
SIGNAL ww_RX_out : std_logic_vector(7 DOWNTO 0);
SIGNAL ww_EP_Check : std_logic;
SIGNAL ww_Stop_bit : std_logic;
SIGNAL ww_TC4 : std_logic;
SIGNAL ww_TC8 : std_logic;
SIGNAL ww_TC10 : std_logic;
SIGNAL \CLK~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \Clear_Counters~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \CD~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \RX_out[0]~output_o\ : std_logic;
SIGNAL \RX_out[1]~output_o\ : std_logic;
SIGNAL \RX_out[2]~output_o\ : std_logic;
SIGNAL \RX_out[3]~output_o\ : std_logic;
SIGNAL \RX_out[4]~output_o\ : std_logic;
SIGNAL \RX_out[5]~output_o\ : std_logic;
SIGNAL \RX_out[6]~output_o\ : std_logic;
SIGNAL \RX_out[7]~output_o\ : std_logic;
SIGNAL \EP_Check~output_o\ : std_logic;
SIGNAL \Stop_bit~output_o\ : std_logic;
SIGNAL \TC4~output_o\ : std_logic;
SIGNAL \TC8~output_o\ : std_logic;
SIGNAL \TC10~output_o\ : std_logic;
SIGNAL \CLK~input_o\ : std_logic;
SIGNAL \CLK~inputclkctrl_outclk\ : std_logic;
SIGNAL \s[0]~input_o\ : std_logic;
SIGNAL \s[1]~input_o\ : std_logic;
SIGNAL \Chip2|future_state[2]~493_combout\ : std_logic;
SIGNAL \CD~input_o\ : std_logic;
SIGNAL \CD~inputclkctrl_outclk\ : std_logic;
SIGNAL \Chip2|present_state[8]~108_combout\ : std_logic;
SIGNAL \Chip2|future_state[1]~494_combout\ : std_logic;
SIGNAL \Chip2|future_state[0]~490_combout\ : std_logic;
SIGNAL \Chip1|present_state[0]~feeder_combout\ : std_logic;
SIGNAL \LDD~input_o\ : std_logic;
SIGNAL \Chip1|present_state[1]~feeder_combout\ : std_logic;
SIGNAL \Chip1|present_state[2]~feeder_combout\ : std_logic;
SIGNAL \Serial_in~input_o\ : std_logic;
SIGNAL \Chip2|future_state[9]~495_combout\ : std_logic;
SIGNAL \Chip2|future_state[8]~486_combout\ : std_logic;
SIGNAL \Chip2|future_state[7]~487_combout\ : std_logic;
SIGNAL \Chip2|future_state[6]~488_combout\ : std_logic;
SIGNAL \Chip2|future_state[5]~489_combout\ : std_logic;
SIGNAL \Chip2|future_state[4]~491_combout\ : std_logic;
SIGNAL \Chip2|future_state[3]~492_combout\ : std_logic;
SIGNAL \Chip1|present_state[3]~feeder_combout\ : std_logic;
SIGNAL \Chip1|present_state[4]~feeder_combout\ : std_logic;
SIGNAL \Chip1|present_state[5]~feeder_combout\ : std_logic;
SIGNAL \Chip1|present_state[6]~feeder_combout\ : std_logic;
SIGNAL \Chip1|present_state[7]~feeder_combout\ : std_logic;
SIGNAL \Chip3|Y~62_combout\ : std_logic;
SIGNAL \Chip3|Y~61_combout\ : std_logic;
SIGNAL \Chip3|Y~63_combout\ : std_logic;
SIGNAL \Chip4|present_state[0]~21_combout\ : std_logic;
SIGNAL \Clear_Counters~input_o\ : std_logic;
SIGNAL \Clear_Counters~inputclkctrl_outclk\ : std_logic;
SIGNAL \CE_Mod4~input_o\ : std_logic;
SIGNAL \Chip4|present_state[1]~20_combout\ : std_logic;
SIGNAL \Chip4|TC4~combout\ : std_logic;
SIGNAL \CE_Mod8~input_o\ : std_logic;
SIGNAL \Chip5|present_state[0]~35_combout\ : std_logic;
SIGNAL \Chip5|present_state[1]~34_combout\ : std_logic;
SIGNAL \Chip5|present_state[2]~33_combout\ : std_logic;
SIGNAL \Chip5|TC8~combout\ : std_logic;
SIGNAL \Chip6|present_state.state_bit_1~208_combout\ : std_logic;
SIGNAL \Chip6|present_state.state_bit_1~209_combout\ : std_logic;
SIGNAL \Chip6|present_state.state_bit_1~q\ : std_logic;
SIGNAL \Chip6|present_state.state_bit_2~137_combout\ : std_logic;
SIGNAL \Chip6|present_state.state_bit_2~q\ : std_logic;
SIGNAL \Chip6|present_state.state_bit_3~115_combout\ : std_logic;
SIGNAL \Chip6|present_state.state_bit_3~116_combout\ : std_logic;
SIGNAL \Chip6|present_state.state_bit_3~q\ : std_logic;
SIGNAL \Chip6|present_state.state_bit_0~154_combout\ : std_logic;
SIGNAL \Chip6|present_state.state_bit_0~q\ : std_logic;
SIGNAL \Chip6|TC10~12_combout\ : std_logic;
SIGNAL \Chip2|present_state\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \Chip1|present_state\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \Chip5|present_state\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \Chip4|present_state\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \ALT_INV_Clear_Counters~inputclkctrl_outclk\ : std_logic;
SIGNAL \ALT_INV_CD~inputclkctrl_outclk\ : std_logic;

BEGIN

ww_Serial_in <= Serial_in;
ww_CD <= CD;
ww_CLK <= CLK;
ww_LDD <= LDD;
ww_CE_Mod4 <= CE_Mod4;
ww_CE_Mod8 <= CE_Mod8;
ww_Clear_Counters <= Clear_Counters;
ww_s <= s;
RX_out <= ww_RX_out;
EP_Check <= ww_EP_Check;
Stop_bit <= ww_Stop_bit;
TC4 <= ww_TC4;
TC8 <= ww_TC8;
TC10 <= ww_TC10;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\CLK~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \CLK~input_o\);

\Clear_Counters~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \Clear_Counters~input_o\);

\CD~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \CD~input_o\);
\ALT_INV_Clear_Counters~inputclkctrl_outclk\ <= NOT \Clear_Counters~inputclkctrl_outclk\;
\ALT_INV_CD~inputclkctrl_outclk\ <= NOT \CD~inputclkctrl_outclk\;

\RX_out[0]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|present_state\(0),
	devoe => ww_devoe,
	o => \RX_out[0]~output_o\);

\RX_out[1]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|present_state\(1),
	devoe => ww_devoe,
	o => \RX_out[1]~output_o\);

\RX_out[2]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|present_state\(2),
	devoe => ww_devoe,
	o => \RX_out[2]~output_o\);

\RX_out[3]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|present_state\(3),
	devoe => ww_devoe,
	o => \RX_out[3]~output_o\);

\RX_out[4]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|present_state\(4),
	devoe => ww_devoe,
	o => \RX_out[4]~output_o\);

\RX_out[5]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|present_state\(5),
	devoe => ww_devoe,
	o => \RX_out[5]~output_o\);

\RX_out[6]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|present_state\(6),
	devoe => ww_devoe,
	o => \RX_out[6]~output_o\);

\RX_out[7]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|present_state\(7),
	devoe => ww_devoe,
	o => \RX_out[7]~output_o\);

\EP_Check~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip3|Y~63_combout\,
	devoe => ww_devoe,
	o => \EP_Check~output_o\);

\Stop_bit~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip2|present_state\(9),
	devoe => ww_devoe,
	o => \Stop_bit~output_o\);

\TC4~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip4|TC4~combout\,
	devoe => ww_devoe,
	o => \TC4~output_o\);

\TC8~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|TC8~combout\,
	devoe => ww_devoe,
	o => \TC8~output_o\);

\TC10~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip6|TC10~12_combout\,
	devoe => ww_devoe,
	o => \TC10~output_o\);

\CLK~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CLK,
	o => \CLK~input_o\);

\CLK~inputclkctrl\ : cycloneiii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "falling edge")
-- pragma translate_on
PORT MAP (
	inclk => \CLK~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \CLK~inputclkctrl_outclk\);

\s[0]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_s(0),
	o => \s[0]~input_o\);

\s[1]~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_s(1),
	o => \s[1]~input_o\);

\Chip2|future_state[2]~493\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|future_state[2]~493_combout\ = \s[1]~input_o\ & (!\s[0]~input_o\ & \Chip2|present_state\(1)) # !\s[1]~input_o\ & \Chip2|present_state\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011101000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|present_state\(3),
	datab => \s[0]~input_o\,
	datac => \s[1]~input_o\,
	datad => \Chip2|present_state\(1),
	combout => \Chip2|future_state[2]~493_combout\);

\CD~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CD,
	o => \CD~input_o\);

\CD~inputclkctrl\ : cycloneiii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "falling edge")
-- pragma translate_on
PORT MAP (
	inclk => \CD~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \CD~inputclkctrl_outclk\);

\Chip2|present_state[8]~108\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|present_state[8]~108_combout\ = \s[1]~input_o\ # \s[0]~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \s[1]~input_o\,
	datad => \s[0]~input_o\,
	combout => \Chip2|present_state[8]~108_combout\);

\Chip2|present_state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|future_state[2]~493_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip2|present_state[8]~108_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|present_state\(2));

\Chip2|future_state[1]~494\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|future_state[1]~494_combout\ = \s[1]~input_o\ & \Chip2|present_state\(0) & !\s[0]~input_o\ # !\s[1]~input_o\ & (\Chip2|present_state\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010111100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|present_state\(0),
	datab => \s[0]~input_o\,
	datac => \s[1]~input_o\,
	datad => \Chip2|present_state\(2),
	combout => \Chip2|future_state[1]~494_combout\);

\Chip2|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|future_state[1]~494_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip2|present_state[8]~108_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|present_state\(1));

\Chip2|future_state[0]~490\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|future_state[0]~490_combout\ = !\s[1]~input_o\ & (\s[0]~input_o\ & (\Chip2|present_state\(1)) # !\s[0]~input_o\ & \Chip2|present_state\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \s[1]~input_o\,
	datab => \s[0]~input_o\,
	datac => \Chip2|present_state\(0),
	datad => \Chip2|present_state\(1),
	combout => \Chip2|future_state[0]~490_combout\);

\Chip2|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|future_state[0]~490_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|present_state\(0));

\Chip1|present_state[0]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state[0]~feeder_combout\ = \Chip2|present_state\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|present_state\(0),
	combout => \Chip1|present_state[0]~feeder_combout\);

\LDD~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_LDD,
	o => \LDD~input_o\);

\Chip1|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state[0]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \LDD~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state\(0));

\Chip1|present_state[1]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state[1]~feeder_combout\ = \Chip2|present_state\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|present_state\(1),
	combout => \Chip1|present_state[1]~feeder_combout\);

\Chip1|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state[1]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \LDD~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state\(1));

\Chip1|present_state[2]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state[2]~feeder_combout\ = \Chip2|present_state\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|present_state\(2),
	combout => \Chip1|present_state[2]~feeder_combout\);

\Chip1|present_state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state[2]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \LDD~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state\(2));

\Serial_in~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_Serial_in,
	o => \Serial_in~input_o\);

\Chip2|future_state[9]~495\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|future_state[9]~495_combout\ = \s[1]~input_o\ & !\s[0]~input_o\ & (\Chip2|present_state\(8)) # !\s[1]~input_o\ & (\Serial_in~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \s[0]~input_o\,
	datab => \Serial_in~input_o\,
	datac => \s[1]~input_o\,
	datad => \Chip2|present_state\(8),
	combout => \Chip2|future_state[9]~495_combout\);

\Chip2|present_state[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|future_state[9]~495_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip2|present_state[8]~108_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|present_state\(9));

\Chip2|future_state[8]~486\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|future_state[8]~486_combout\ = \s[1]~input_o\ & !\s[0]~input_o\ & \Chip2|present_state\(7) # !\s[1]~input_o\ & (\Chip2|present_state\(9))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \s[0]~input_o\,
	datab => \Chip2|present_state\(7),
	datac => \s[1]~input_o\,
	datad => \Chip2|present_state\(9),
	combout => \Chip2|future_state[8]~486_combout\);

\Chip2|present_state[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|future_state[8]~486_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip2|present_state[8]~108_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|present_state\(8));

\Chip2|future_state[7]~487\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|future_state[7]~487_combout\ = \s[1]~input_o\ & !\s[0]~input_o\ & \Chip2|present_state\(6) # !\s[1]~input_o\ & (\Chip2|present_state\(8))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \s[0]~input_o\,
	datab => \Chip2|present_state\(6),
	datac => \s[1]~input_o\,
	datad => \Chip2|present_state\(8),
	combout => \Chip2|future_state[7]~487_combout\);

\Chip2|present_state[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|future_state[7]~487_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip2|present_state[8]~108_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|present_state\(7));

\Chip2|future_state[6]~488\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|future_state[6]~488_combout\ = \s[1]~input_o\ & !\s[0]~input_o\ & (\Chip2|present_state\(5)) # !\s[1]~input_o\ & (\Chip2|present_state\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \s[0]~input_o\,
	datab => \Chip2|present_state\(7),
	datac => \s[1]~input_o\,
	datad => \Chip2|present_state\(5),
	combout => \Chip2|future_state[6]~488_combout\);

\Chip2|present_state[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|future_state[6]~488_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip2|present_state[8]~108_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|present_state\(6));

\Chip2|future_state[5]~489\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|future_state[5]~489_combout\ = \s[1]~input_o\ & !\s[0]~input_o\ & \Chip2|present_state\(4) # !\s[1]~input_o\ & (\Chip2|present_state\(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \s[0]~input_o\,
	datab => \Chip2|present_state\(4),
	datac => \s[1]~input_o\,
	datad => \Chip2|present_state\(6),
	combout => \Chip2|future_state[5]~489_combout\);

\Chip2|present_state[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|future_state[5]~489_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip2|present_state[8]~108_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|present_state\(5));

\Chip2|future_state[4]~491\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|future_state[4]~491_combout\ = \s[1]~input_o\ & \Chip2|present_state\(3) & !\s[0]~input_o\ # !\s[1]~input_o\ & (\Chip2|present_state\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010111100100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|present_state\(3),
	datab => \s[0]~input_o\,
	datac => \s[1]~input_o\,
	datad => \Chip2|present_state\(5),
	combout => \Chip2|future_state[4]~491_combout\);

\Chip2|present_state[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|future_state[4]~491_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip2|present_state[8]~108_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|present_state\(4));

\Chip2|future_state[3]~492\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|future_state[3]~492_combout\ = \s[1]~input_o\ & \Chip2|present_state\(2) & (!\s[0]~input_o\) # !\s[1]~input_o\ & (\Chip2|present_state\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \s[1]~input_o\,
	datab => \Chip2|present_state\(2),
	datac => \Chip2|present_state\(4),
	datad => \s[0]~input_o\,
	combout => \Chip2|future_state[3]~492_combout\);

\Chip2|present_state[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|future_state[3]~492_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip2|present_state[8]~108_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|present_state\(3));

\Chip1|present_state[3]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state[3]~feeder_combout\ = \Chip2|present_state\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|present_state\(3),
	combout => \Chip1|present_state[3]~feeder_combout\);

\Chip1|present_state[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state[3]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \LDD~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state\(3));

\Chip1|present_state[4]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state[4]~feeder_combout\ = \Chip2|present_state\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|present_state\(4),
	combout => \Chip1|present_state[4]~feeder_combout\);

\Chip1|present_state[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state[4]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \LDD~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state\(4));

\Chip1|present_state[5]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state[5]~feeder_combout\ = \Chip2|present_state\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|present_state\(5),
	combout => \Chip1|present_state[5]~feeder_combout\);

\Chip1|present_state[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state[5]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \LDD~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state\(5));

\Chip1|present_state[6]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state[6]~feeder_combout\ = \Chip2|present_state\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|present_state\(6),
	combout => \Chip1|present_state[6]~feeder_combout\);

\Chip1|present_state[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state[6]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \LDD~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state\(6));

\Chip1|present_state[7]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state[7]~feeder_combout\ = \Chip2|present_state\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|present_state\(7),
	combout => \Chip1|present_state[7]~feeder_combout\);

\Chip1|present_state[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state[7]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \LDD~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state\(7));

\Chip3|Y~62\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip3|Y~62_combout\ = \Chip2|present_state\(3) $ \Chip2|present_state\(2) $ \Chip2|present_state\(4) $ \Chip2|present_state\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|present_state\(3),
	datab => \Chip2|present_state\(2),
	datac => \Chip2|present_state\(4),
	datad => \Chip2|present_state\(1),
	combout => \Chip3|Y~62_combout\);

\Chip3|Y~61\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip3|Y~61_combout\ = \Chip2|present_state\(5) $ \Chip2|present_state\(7) $ \Chip2|present_state\(6) $ \Chip2|present_state\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|present_state\(5),
	datab => \Chip2|present_state\(7),
	datac => \Chip2|present_state\(6),
	datad => \Chip2|present_state\(8),
	combout => \Chip3|Y~61_combout\);

\Chip3|Y~63\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip3|Y~63_combout\ = \Chip3|Y~62_combout\ $ \Chip3|Y~61_combout\ $ \Chip2|present_state\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011010010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Y~62_combout\,
	datab => \Chip3|Y~61_combout\,
	datac => \Chip2|present_state\(0),
	combout => \Chip3|Y~63_combout\);

\Chip4|present_state[0]~21\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip4|present_state[0]~21_combout\ = \CE_Mod4~input_o\ $ \Chip4|present_state\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \CE_Mod4~input_o\,
	datac => \Chip4|present_state\(0),
	combout => \Chip4|present_state[0]~21_combout\);

\Clear_Counters~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_Clear_Counters,
	o => \Clear_Counters~input_o\);

\Clear_Counters~inputclkctrl\ : cycloneiii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "falling edge")
-- pragma translate_on
PORT MAP (
	inclk => \Clear_Counters~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \Clear_Counters~inputclkctrl_outclk\);

\Chip4|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip4|present_state[0]~21_combout\,
	clrn => \ALT_INV_Clear_Counters~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip4|present_state\(0));

\CE_Mod4~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CE_Mod4,
	o => \CE_Mod4~input_o\);

\Chip4|present_state[1]~20\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip4|present_state[1]~20_combout\ = \Chip4|present_state\(1) $ (\CE_Mod4~input_o\ & \Chip4|present_state\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \CE_Mod4~input_o\,
	datac => \Chip4|present_state\(1),
	datad => \Chip4|present_state\(0),
	combout => \Chip4|present_state[1]~20_combout\);

\Chip4|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip4|present_state[1]~20_combout\,
	clrn => \ALT_INV_Clear_Counters~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip4|present_state\(1));

\Chip4|TC4\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip4|TC4~combout\ = \Chip4|present_state\(0) & \CE_Mod4~input_o\ & \Chip4|present_state\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip4|present_state\(0),
	datac => \CE_Mod4~input_o\,
	datad => \Chip4|present_state\(1),
	combout => \Chip4|TC4~combout\);

\CE_Mod8~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CE_Mod8,
	o => \CE_Mod8~input_o\);

\Chip5|present_state[0]~35\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip5|present_state[0]~35_combout\ = \Chip5|present_state\(0) $ \CE_Mod8~input_o\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip5|present_state\(0),
	datad => \CE_Mod8~input_o\,
	combout => \Chip5|present_state[0]~35_combout\);

\Chip5|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip5|present_state[0]~35_combout\,
	clrn => \ALT_INV_Clear_Counters~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip5|present_state\(0));

\Chip5|present_state[1]~34\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip5|present_state[1]~34_combout\ = \Chip5|present_state\(1) $ (\CE_Mod8~input_o\ & \Chip5|present_state\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \CE_Mod8~input_o\,
	datac => \Chip5|present_state\(1),
	datad => \Chip5|present_state\(0),
	combout => \Chip5|present_state[1]~34_combout\);

\Chip5|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip5|present_state[1]~34_combout\,
	clrn => \ALT_INV_Clear_Counters~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip5|present_state\(1));

\Chip5|present_state[2]~33\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip5|present_state[2]~33_combout\ = \Chip5|present_state\(2) $ (\Chip5|present_state\(0) & \CE_Mod8~input_o\ & \Chip5|present_state\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip5|present_state\(0),
	datab => \CE_Mod8~input_o\,
	datac => \Chip5|present_state\(2),
	datad => \Chip5|present_state\(1),
	combout => \Chip5|present_state[2]~33_combout\);

\Chip5|present_state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip5|present_state[2]~33_combout\,
	clrn => \ALT_INV_Clear_Counters~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip5|present_state\(2));

\Chip5|TC8\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip5|TC8~combout\ = \Chip5|present_state\(1) & \CE_Mod8~input_o\ & \Chip5|present_state\(2) & \Chip5|present_state\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip5|present_state\(1),
	datab => \CE_Mod8~input_o\,
	datac => \Chip5|present_state\(2),
	datad => \Chip5|present_state\(0),
	combout => \Chip5|TC8~combout\);

\Chip6|present_state.state_bit_1~208\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip6|present_state.state_bit_1~208_combout\ = \Chip6|present_state.state_bit_2~q\ # !\Chip6|present_state.state_bit_3~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip6|present_state.state_bit_2~q\,
	datad => \Chip6|present_state.state_bit_3~q\,
	combout => \Chip6|present_state.state_bit_1~208_combout\);

\Chip6|present_state.state_bit_1~209\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip6|present_state.state_bit_1~209_combout\ = \Chip6|present_state.state_bit_0~q\ & (\Chip6|present_state.state_bit_1~q\ & (!\Chip5|TC8~combout\) # !\Chip6|present_state.state_bit_1~q\ & \Chip6|present_state.state_bit_1~208_combout\ & 
-- \Chip5|TC8~combout\) # !\Chip6|present_state.state_bit_0~q\ & (\Chip6|present_state.state_bit_1~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip6|present_state.state_bit_0~q\,
	datab => \Chip6|present_state.state_bit_1~208_combout\,
	datac => \Chip6|present_state.state_bit_1~q\,
	datad => \Chip5|TC8~combout\,
	combout => \Chip6|present_state.state_bit_1~209_combout\);

\Chip6|present_state.state_bit_1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip6|present_state.state_bit_1~209_combout\,
	clrn => \ALT_INV_Clear_Counters~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip6|present_state.state_bit_1~q\);

\Chip6|present_state.state_bit_2~137\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip6|present_state.state_bit_2~137_combout\ = \Chip6|present_state.state_bit_2~q\ $ (\Chip6|present_state.state_bit_0~q\ & \Chip6|present_state.state_bit_1~q\ & \Chip5|TC8~combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip6|present_state.state_bit_0~q\,
	datab => \Chip6|present_state.state_bit_1~q\,
	datac => \Chip6|present_state.state_bit_2~q\,
	datad => \Chip5|TC8~combout\,
	combout => \Chip6|present_state.state_bit_2~137_combout\);

\Chip6|present_state.state_bit_2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip6|present_state.state_bit_2~137_combout\,
	clrn => \ALT_INV_Clear_Counters~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip6|present_state.state_bit_2~q\);

\Chip6|present_state.state_bit_3~115\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip6|present_state.state_bit_3~115_combout\ = \Chip6|present_state.state_bit_2~q\ & \Chip6|present_state.state_bit_1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip6|present_state.state_bit_2~q\,
	datad => \Chip6|present_state.state_bit_1~q\,
	combout => \Chip6|present_state.state_bit_3~115_combout\);

\Chip6|present_state.state_bit_3~116\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip6|present_state.state_bit_3~116_combout\ = \Chip6|present_state.state_bit_0~q\ & (\Chip5|TC8~combout\ & \Chip6|present_state.state_bit_3~115_combout\ # !\Chip5|TC8~combout\ & (\Chip6|present_state.state_bit_3~q\)) # 
-- !\Chip6|present_state.state_bit_0~q\ & (\Chip6|present_state.state_bit_3~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip6|present_state.state_bit_0~q\,
	datab => \Chip6|present_state.state_bit_3~115_combout\,
	datac => \Chip6|present_state.state_bit_3~q\,
	datad => \Chip5|TC8~combout\,
	combout => \Chip6|present_state.state_bit_3~116_combout\);

\Chip6|present_state.state_bit_3\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip6|present_state.state_bit_3~116_combout\,
	clrn => \ALT_INV_Clear_Counters~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip6|present_state.state_bit_3~q\);

\Chip6|present_state.state_bit_0~154\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip6|present_state.state_bit_0~154_combout\ = \Chip6|present_state.state_bit_0~q\ $ \Chip5|TC8~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip6|present_state.state_bit_0~q\,
	datad => \Chip5|TC8~combout\,
	combout => \Chip6|present_state.state_bit_0~154_combout\);

\Chip6|present_state.state_bit_0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip6|present_state.state_bit_0~154_combout\,
	clrn => \ALT_INV_Clear_Counters~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip6|present_state.state_bit_0~q\);

\Chip6|TC10~12\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip6|TC10~12_combout\ = \Chip5|TC8~combout\ & \Chip6|present_state.state_bit_3~q\ & \Chip6|present_state.state_bit_0~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip5|TC8~combout\,
	datab => \Chip6|present_state.state_bit_3~q\,
	datad => \Chip6|present_state.state_bit_0~q\,
	combout => \Chip6|TC10~12_combout\);

ww_RX_out(0) <= \RX_out[0]~output_o\;

ww_RX_out(1) <= \RX_out[1]~output_o\;

ww_RX_out(2) <= \RX_out[2]~output_o\;

ww_RX_out(3) <= \RX_out[3]~output_o\;

ww_RX_out(4) <= \RX_out[4]~output_o\;

ww_RX_out(5) <= \RX_out[5]~output_o\;

ww_RX_out(6) <= \RX_out[6]~output_o\;

ww_RX_out(7) <= \RX_out[7]~output_o\;

ww_EP_Check <= \EP_Check~output_o\;

ww_Stop_bit <= \Stop_bit~output_o\;

ww_TC4 <= \TC4~output_o\;

ww_TC8 <= \TC8~output_o\;

ww_TC10 <= \TC10~output_o\;
END structure;


